For the complete documentation index, see llms.txt. This page is also available as Markdown.

Wallet

Balance and payment operations

Get wallet balance

get
Authorizations
X-API-KeystringRequired

API key for authentication. Get your key from the dashboard.

Responses
200

Current balance

application/json
successbooleanOptionalExample: true
get/wallet/balance
GET /api/v2/wallet/balance HTTP/1.1
Host: bulkmail.shop
X-API-Key: YOUR_API_KEY
Accept: */*
{
  "success": true,
  "data": {
    "balance": 150.5,
    "currency": "USD"
  }
}

List transactions

get
Authorizations
X-API-KeystringRequired

API key for authentication. Get your key from the dashboard.

Query parameters
pageintegerOptionalDefault: 1
per_pageintegerOptionalDefault: 20
typestring · enumOptionalPossible values:
date_fromstring · dateOptional
date_tostring · dateOptional
Responses
200

Transaction list

application/json
successbooleanOptionalExample: true
get/wallet/transactions
GET /api/v2/wallet/transactions HTTP/1.1
Host: bulkmail.shop
X-API-Key: YOUR_API_KEY
Accept: */*
{
  "success": true,
  "data": [
    {
      "id": 1,
      "type": "deposit",
      "amount": 1,
      "balance_after": 1,
      "description": "text",
      "created_at": "2026-01-01T00:00:00.000Z"
    }
  ],
  "meta": {
    "current_page": 1,
    "per_page": 20,
    "total": 100,
    "total_pages": 5
  }
}

Create deposit

post

Create a deposit using available payment gateways.

Payment Methods:

  • heleket or crypto - Heleket crypto gateway

  • cryptomus - Cryptomus gateway

  • piprapay - PipraPay USD gateway

Authorizations
X-API-KeystringRequired

API key for authentication. Get your key from the dashboard.

Body
amountnumber · float · min: 0.4Required

Amount in USD

gatewaystring · enumRequired

Payment gateway

Possible values:
currencystringOptional

Crypto currency (for crypto gateways)

Default: USDT
Responses
200

Deposit created

application/json
successbooleanOptionalExample: true
post/wallet/deposit
POST /api/v2/wallet/deposit HTTP/1.1
Host: bulkmail.shop
X-API-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 33

{
  "amount": 50,
  "gateway": "heleket"
}
{
  "success": true,
  "data": {
    "deposit_id": 1,
    "amount": 1,
    "payment_method": "text",
    "status": "text",
    "payment_url": "https://example.com",
    "expires_at": "2026-01-01T00:00:00.000Z"
  }
}

List deposits

get
Authorizations
X-API-KeystringRequired

API key for authentication. Get your key from the dashboard.

Query parameters
pageintegerOptionalDefault: 1
per_pageintegerOptionalDefault: 20
statusstring · enumOptionalPossible values:
Responses
200

Deposit list

application/json
successbooleanOptionalExample: true
get/wallet/deposits
GET /api/v2/wallet/deposits HTTP/1.1
Host: bulkmail.shop
X-API-Key: YOUR_API_KEY
Accept: */*
{
  "success": true,
  "data": [
    {
      "id": 1,
      "amount": 1,
      "status": "pending",
      "payment_method": "crypto",
      "payment_url": "https://example.com",
      "created_at": "2026-01-01T00:00:00.000Z"
    }
  ],
  "meta": {
    "current_page": 1,
    "per_page": 20,
    "total": 100,
    "total_pages": 5
  }
}

Check deposit status

get
Authorizations
X-API-KeystringRequired

API key for authentication. Get your key from the dashboard.

Path parameters
idintegerRequired
Responses
200

Deposit status

application/json
successbooleanOptionalExample: true
get/wallet/deposits/{id}/status
GET /api/v2/wallet/deposits/{id}/status HTTP/1.1
Host: bulkmail.shop
X-API-Key: YOUR_API_KEY
Accept: */*
{
  "success": true,
  "data": {
    "id": 1,
    "status": "text",
    "amount": 1,
    "payment_method": "text"
  }
}

Last updated